Draft: Linea, segmento

    From FreeCAD Documentation
    This page is a translated version of the page Draft Line and the translation is 100% complete.

    Draft Line.svg Linea

    Posizione nel menu
    Drafting → Linea
    Ambiente
    Draft, Arch
    Avvio veloce
    L I
    Introdotto nella versione
    0.7
    Vedere anche
    Polilinea

    Descrizione

    Il comando Draft Line.svg Draft Linea crea una linea dritta.

    Una Draft Linea è di fatto una Polilinea con solo due punti.

    Draft Line example.jpg

    Linea definita da due punti

    Utilizzo

    Vedere anche: Barra di Draft, Aggancio e Vincolare.

    1. Esistono diversi modi per invocare il comando:
      • Premere il pulsante Draft Line.svg Linea.
      • Selezionare l'opzione Drafting → Draft Line.svg Linea dal menu.
      • Usare la scorciatoia da tastiera: L poi I.
    2. Si apre il pannello attività Linea. Vedi Opzioni per maggiori informazioni.
    3. Scegliere il primo punto nella Vista 3D, oppure digitare le coordinate e premere il pulsante Draft AddPoint.svg Inserisci punto.
    4. Scegliere il secondo punto nella Vista 3D, oppure digitare le coordinate e premere il pulsante Draft AddPoint.svg Inserisci punto.

    Opzioni

    Le scorciatoie da tastiera a carattere singolo disponibili nel pannello delle attività possono essere modificate. Vedere Preferenze per l'ambiente Draft. Le scorciatoie menzionate qui sono le scorciatoie predefinite.

    • Per inserire manualmente le coordinate, inserire le componenti X, Y e Z e premere Enter dopo ognuna di esse. Oppure è possibile premere il pulsante Draft AddPoint.svg Inserisci punto quando si hanno i valori desiderati. Si consiglia di spostare il puntatore fuori dalla Vista 3D prima di inserire le coordinate.
    • Per usare le coordinate polari inserire un valore per Lunghezza e un valore per Anglo, e premere Enter dopo ciascuno.
    • Selezionare la casella Anglo per vincolare il puntatore all'angolo specificato.
    • Premere H per cambiare il focus dalla casella di input X alla casella di input Lunghezza e viceversa. A seconda della casella di input che riceve il focus, la casella di controllo Anglo è selezionata o deselezionata.
    • Premere R o fare clic sulla casella di controllo Relativo per attivare o disattivare la modalità relativa. Se la modalità relativa è attiva, le coordinate del secondo punto sono relative al primo punto, altrimenti sono relative all'origine del sistema di coordinate.
    • Premere G o fare clic sulla casella di controllo Globale per attivare o disattivare la modalità globale. Se la modalità globale è attiva, le coordinate sono relative al sistema di coordinate globale, altrimenti sono relative al sistema di coordinate del piano di lavoro. disponibile dalla versione 0.20
    • Premere T o fare clic sulla casella di controllo Continua per attivare o disattivare la modalità continua. Se la modalità continua è attiva, il comando verrà riavviato al termine, consentendo di continuare a creare linee.
    • Premere S per attivare o disattivare l'Aggancio.
    • Premere Esc o il pulsante Chiudi per interrompere il comando.

    Note

    Preferenze

    Vedere anche: Impostare le preferenze e Preferenze per l'ambiente Draft.

    • Per modificare il numero di decimali utilizzati per l'inserimento di coordinate, lunghezze e angoli: Modifica → Preferenze... → Generale → Unità → Impostazioni unità → Numero di cifre decimali.
    • Per modificare il focus iniziale del pannello delle attività nella casella di immissione Lunghezza: Modifica → Preferenze... → Draft → Impostazioni generali di Draft → Opzioni strumenti di Draft → Imposta la Lunghezza invece che sulla coordinata X . Si tenga presente che bisogna spostare il puntatore nella Vista 3D affinché la modifica abbia effetto.
    • Se l'opzione Modifica → Preferenze... → Bozza → Impostazioni generali → Opzioni strumenti di Draft → Usa le primitive di Part quando disponibili è selezionata, il comando creerà una Part Linea invece di una Draft Linea.

    Proprietà

    Vedere Polilinea.

    Script

    Vedere anche: Autogenerated API documentation e Script di base per FreeCAD.

    Per creare una Draft Linea usare il metodo make_line (introduced in version 0.19) del modulo Draft. Questo metodo sostituisce il metodo deprecato makeLine.

    line = make_line(p1, p2)
    line = make_line(LineSegment)
    line = make_line(Shape)
    
    • Crea un oggetto Line tra i punti p1 e p2, ciascuno definito dal suo FreeCAD.Vector, con unità in millimetri.
    • Crea un oggetto Line da un Part.LineSegment.
    • Crea un oggetto Line dal primo vertice all'ultimo vertice della data Shape.

    Esempio:

    import FreeCAD as App
    import Draft
    
    doc = App.newDocument()
    
    p1 = App.Vector(0, 0, 0)
    p2 = App.Vector(1000, 500, 0)
    p3 = App.Vector(-250, -500, 0)
    p4 = App.Vector(500, 1000, 0)
    
    line1 = Draft.make_line(p1, p2)
    line2 = Draft.make_line(p3, p4)
    
    doc.recompute()